﻿/*
Name: Chirag Mandan
Email: chirag.mandan@lexisnexis.com
DataSource:Bureau of Transportation Statistics
(On-Time performance statistics of the Airlines for February 2011)
*/

export Layout_AirlineInfo := RECORD
	//airline	
	STRING2 DayOfMonth;	
	STRING10 FlightDate;
	STRING4 UniqueCarrier;
	STRING5 AirlineID;
	STRING7 FlightNumber;
	//origin
	STRING5 Origin;
	STRING OriginStateName;
	//destination
	STRING5 Destination;
	STRING DestStateName;
	//Departure Performance
	STRING6 SchedDepTime;
	STRING6 ActualDepTime;
	INTEGER4 DepDelay;
	//Arrival Performance
	STRING6 SchedArrTime;
	STRING6 ActualArrTime;
	INTEGER4 ArrDelay;
	//Indicators (1=yes,0=no)
	unsigned1 IndCancelled;
	unsigned1 IndDiverted;
	//Flight Summary
	unsigned4 SchedElapsedTime;
	unsigned4 ActualElapsedTime;
	unsigned4 AirTime;
	unsigned2 NumFlights;
	unsigned6 Distance;
	//Delay Causes
	unsigned4 CarrierDelay;
	unsigned4 WeatherDelay;
	unsigned4 NASDelay;
	unsigned4 SecurityDelay;
	unsigned4 LateAircraftDelay;
END;